Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.metadata.expression
Interface IEvaluationContext

    public interface IEvaluationContext

The evaluation context. Contexts can be nested and new contexts are pushed for each closure during an evaluation of an expression.

Since:
  2.0

Method Summary
`IIndexProvider<?>` `getIndexProvider()`
`Object` `getParameter(int position)` Returns the value of the parameter at the given `position`
`Object` `getValue(IExpression variable)` Retrieve the value of the given `variable` from this context
`void` `setIndexProvider(IIndexProvider<?> indexProvider)`
`void` `setValue(IExpression variable, Object value)` Set the current value for the given `variable` to `value`

Method Detail

### getIndexProvider

    IIndexProvider<?> getIndexProvider()

### setIndexProvider

    void setIndexProvider(IIndexProvider<?> indexProvider)

### getValue

    Object getValue(IExpression variable)

  Retrieve the value of the given `variable` from this context

  Parameters:
    `variable` - The variable who's value should be retrieved
  Returns:
    The current value for the variable

### setValue

    void setValue(IExpression variable,
                  Object value)

  Set the current value for the given `variable` to `value`

  Parameters:
    `variable` - The variable who's value should be set
    `value` - The new value for the variable.

### getParameter

    Object getParameter(int position)

  Returns the value of the parameter at the given `position`

  Parameters:
    `position` - The zero based position for the parameter
  Returns:
    The parameter value

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.